### Constructor

# GimpUi IntRadioFrame new

unstable since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_int_radio_frame_new (
      const gchar* first_label,
      gint first_value,
      ...
    )

#### Description [src]

Creates a GtkComboBox that has integer values associated with each item. The items to fill the combo box with are specified as a `NULL` terminated list of label/value pairs.

If you need to construct an empty `GimpIntRadioFrame`, it’s best to use g_object_new (GIMP_TYPE_INT_RADIO_FRAME, NULL).

Available since: 3.0

This method is not directly available to language bindings.

#### Parameters

`first_label`

  Type: `const gchar*`

  The label of the first item.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`first_value`

  Type: `gint`

  The value of the first item.

`...`

  Type: ``

  A `NULL` terminated list of more label, value pairs.

#### Return value

Type: `GtkWidget`

A new `GimpIntRadioFrame`.

The data is owned by the called function.